Set libmagic configuration options

- « finfo_open

- mime_content_type »

- PHP Manual
- Fileinfo Functions
- Set libmagic configuration options

# finfo_set_flags

# finfo::set_flags

(PHP >= 5.3.0, PHP 7, PHP 8, PECL fileinfo >= 0.1.0)

finfo_set_flags -- finfo::set_flags — Set libmagic configuration options

### Description

Procedural style

finfo_set_flags(finfo `$finfo`, int `$flags`): bool

Object-oriented style

public finfo::set_flags(int `$flags`): bool

This function sets various Fileinfo options. Options can be set also directly in finfo_open() or other Fileinfo functions.

### Parameters

`finfo`

  An finfo instance, returned by finfo_open().

`flags`

  One or disjunction of more Fileinfo constants.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `finfo` parameter expects an finfo instance now; previously, a resource was expected.